#include <bits/stdc++.h>
using namespace std;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    long long broj,minp;
    cin >> broj >> minp;
    if(broj < 3 * minp)
        cout << -1;
    else
    if(broj < 4 * minp - 2)
    {
        broj -= 3 * minp;
        cout << minp << " " << 0 << '\n' << minp << " " << 0 << '\n' << minp << " " << broj ;
    }
    else
    {
        broj -= 2 * minp;
        if(broj % 2 == 0)
        {
            broj /= 2;
           cout << minp << " " << 0 << '\n' << minp << " " << 0 << '\n' << broj + 1 << " " <<broj - 1;
        }

        else
        {
            broj--;
            broj /= 2;
            cout << minp << " " << 1 << '\n' << minp << " " <<  0 << '\n' << broj + 1 << " " << broj - 1;
        }

    }
return 0;
}